complexType "DualCurrencyStrikePrice"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | rate?, strikeQuoteBasis?
</...>

Content Model Elements (2):

  rate (in strike in dualCurrency), | strikeQuoteBasis (in strike in dualCurrency)

All Direct / Indirect Based Elements (1):

  strike (in dualCurrency)

Known Usage Locations

- As direct type of elements (1):
  strike (in dualCurrency)

Annotation
A type that describes the rate of exchange at which the embedded option in a Dual Currency Deposit has been struck.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DualCurrencyStrikePrice"> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="strikeQuoteBasis" type="DualCurrencyStrikeQuoteBasisEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
rate

  Type: | PositiveDecimal, simple content

  The rate of exchange between the two currencies of the leg of a deal.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/>

strikeQuoteBasis

  Type: | DualCurrencyStrikeQuoteBasisEnum, simple content

  The method by which the strike rate is quoted, in terms of the deposit (principal) and alternate currencies.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "DepositCurrencyPerAlternateCurrency", "AlternateCurrencyPerDepositCurrency"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikeQuoteBasis" type="DualCurrencyStrikeQuoteBasisEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.